# eric6.E5Gui.E5Completers

Module implementing various kinds of completers.

### Global Attributes

None

### Classes

E5DirCompleter | Class implementing a completer for directory names.
E5FileCompleter | Class implementing a completer for file names.
E5StringListCompleter | Class implementing a completer for string lists.

### Functions

None

## E5DirCompleter

Class implementing a completer for directory names.

### Derived from

QCompleter

### Class Attributes

None

### Class Methods

None

### Methods

E5DirCompleter | Constructor
rootPath | Public method to get the root path of the model.
setRootPath | Public method to set the root path of the model.

### Static Methods

None

#### E5DirCompleter (Constructor)

E5DirCompleter(parent=None, completionMode=QCompleter.PopupCompletion, showHidden=False)

Constructor

parent
  parent widget of the completer (QWidget)
completionMode=
  completion mode of the completer (QCompleter.CompletionMode)
showHidden=
  flag indicating to show hidden entries as well (boolean)

#### E5DirCompleter.rootPath

rootPath()

Public method to get the root path of the model.

Returns:
  root path of the model

Return Type:
  str

#### E5DirCompleter.setRootPath

setRootPath(path)

Public method to set the root path of the model.

path (str)
  root path for the model

Up

## E5FileCompleter

Class implementing a completer for file names.

### Derived from

QCompleter

### Class Attributes

None

### Class Methods

None

### Methods

E5FileCompleter | Constructor
rootPath | Public method to get the root path of the model.
setRootPath | Public method to set the root path of the model.

### Static Methods

None

#### E5FileCompleter (Constructor)

E5FileCompleter(parent=None, completionMode=QCompleter.PopupCompletion, showHidden=False)

Constructor

parent
  parent widget of the completer (QWidget)
completionMode=
  completion mode of the completer (QCompleter.CompletionMode)
showHidden=
  flag indicating to show hidden entries as well (boolean)

#### E5FileCompleter.rootPath

rootPath()

Public method to get the root path of the model.

Returns:
  root path of the model

Return Type:
  str

#### E5FileCompleter.setRootPath

setRootPath(path)

Public method to set the root path of the model.

path (str)
  root path for the model

Up

## E5StringListCompleter

Class implementing a completer for string lists.

### Derived from

QCompleter

### Class Attributes

None

### Class Methods

None

### Methods

E5StringListCompleter | Constructor

### Static Methods

None

#### E5StringListCompleter (Constructor)

E5StringListCompleter(parent=None, strings=None, completionMode=QCompleter.PopupCompletion)

Constructor

parent
  parent widget of the completer (QWidget)
strings
  list of string to load into the completer (list of strings)
completionMode=
  completion mode of the completer (QCompleter.CompletionMode)

Up